Loading...
Searching...
No Matches
Bypass node
Grammar nodes

A pass-through node useful for building graph loops. More...

Collaboration diagram for Bypass node:

## Functions

struct ec_node * | ec_node_bypass (const char *id, struct ec_node *node)
| A node that does nothing other than calling the child node.
int | ec_node_bypass_set_child (struct ec_node *gen_node, struct ec_node *child)
| Attach a child to a bypass node.

## Detailed Description

A pass-through node useful for building graph loops.

Configuration Schema

schema bypass {
node child {
description "The child node.";
}
}

## Function Documentation

## ec_node_bypass()

struct ec_node * ec_node_bypass | ( | const char * | id,
|  | struct ec_node * | node )

A node that does nothing other than calling the child node.

It can be helpful to build loops in a node graph.